Skip to main content
Required ACL: browse Searching returns hits (records augmented with highlighting and ranking details). Browsing returns matching records only. Use browse to export your indices.
  • The Analytics API doesn’t collect data when using browse.
  • Records are ranked by attributes and custom ranking.
  • There’s no ranking for typo tolerance, number of matched words, proximity, or geo distance.
Browse requests automatically apply these settings:
  • advancedSyntax: false
  • attributesToHighlight: []
  • attributesToSnippet: []
  • distinct: false
  • enablePersonalization: false
  • enableRules: false
  • facets: []
  • getRankingInfo: false
  • ignorePlurals: false
  • optionalFilters: []
  • typoTolerance: true or false (min and strict evaluate to true)
If you send these parameters with your browse requests, they’re ignored.

Usage

// Initialize the client
var client = new SearchClient(new SearchConfig("ALGOLIA_APPLICATION_ID", "ALGOLIA_API_KEY"));

// Call the API
var response = await client.BrowseAsync<Hit>("<YOUR_INDEX_NAME>");

// print the response
Console.WriteLine(response);

See the full API reference

For more details about input parameters and response fields.
Last modified on February 12, 2026